Fetch¶
Fetch detailed Altmetric information about a particular article or dataset. This call returns much more information about each mention than from the standard Counts Only endpoint and allows users to see full details of the mentions, including the URLs to the mentions themselves.
There are two exceptions with requests to this endpoint, Twitter and certain news sources that fall under UK licensing restrictions. You can read more about this on our Limitations page.
Warning
Calls to this endpoint are only available to commercial license holders. If you call this endpoint without an authorized API key you'll get a 403 response. Contact us for pricing or to request use as a non-commercial entity.
This endpoint is optimized for specific queries about single research outputs. To use this endpoint you will need some programming knowledge but there are various wrappers in different languages (see below) available on Github or you can choose to write your own software.
Here are a few examples of third party wrappers that you can use to help you start consuming data from our API. Please note that they are built and maintained by third party developers and are not supported directly by us.
- Python : PyAltmetric (https://github.com/CenterForOpenScience/PyAltmetric) -- PyAltmetric provides an easy python wrapper for the Altmetric API and provides methods to be Articles from API responses and preexisting JSON.
- Ruby : Altmetric (https://github.com/ldodds/altmetric) -- Provides a basic client object for interacting with the API. Provides quick access to the JSON results or direct access to API responses.
Warning
These wrappers are built and maintained by third party developers and are not supported directly by us.
Request¶
When making a request to the /fetch/ API endpoint you will need to replace the placeholder key xxx-xxx-xxx-xxx in the examples below with your own API key, otherwise you'll receive the 403 The API key you supplied was invalid. response from the server.
GET /{version}/fetch/{identifier_type}/{id}?key=xxx-xxx-xxx-xxx¶
Fetch a research output using the supplied identifier type and identifier
Example request:
Query parameters:
| Parameter | Required | Accepts | Description |
|---|---|---|---|
version |
Yes | v1 |
See Versioning |
identifier type |
Yes | dimensions_publication_id doi handle pmid arxiv ads ssrn repec isbn id nct_id urn uri |
A valid identifier type |
identifier |
Yes | A valid identifier of the type specified by identifier_type |
Identifiers should not be URL-encoded. |
include_sources |
Comma delimited list of post types to include data for in the response. Where sources are not included the unique_users key is also removed from counts if it exists. Current filters are: facebook blogs linkedin video pinterest googleplus twitter bluesky reddit news f1000 qna peer_reviews policy guideline patent weibo podcasts seminars wikipedia book_reviews syllabi |
Defaults to include everything. | |
exclude_sources |
Comma delimited list of post types to exclude data for in response. Where sources are excluded the unique_users key is also removed from counts if it exists. Current filters are: facebook blogs linkedin video pinterest googleplus twitter bluesky reddit news f1000 qna peer_reviews policy guideline patent weibo podcasts seminars wikipedia book_reviews syllabi |
Defaults to exclude nothing. | |
include_sections |
Comma delimited list of response object sections to include. Current supported sections are counts citation altmetric_score demographics sentiments posts images |
Defaults to include everything. | |
post_types |
Comma delimited list of additional filters on the sub type associated with post types. Current filters are: original_tweets |
Defaults to include everything. In this case retweets are excluded from response. Counts section is unaffected. |
Source names are matched exactly
A name that is not on the list above is not rejected, and the two
parameters then fail in opposite directions. include_sources keeps only
the sources it recognises, so an unrecognised name returns 200 with an
empty posts object, indistinguishable from a research output that has no
mentions of that type. exclude_sources removes only the sources it
recognises, so an unrecognised name excludes nothing and the response looks
unfiltered. Check the spelling here before drawing a conclusion from either.
HTTP status codes:
| Code | Description |
|---|---|
| 200 OK | The body of the response should contain the data you requested in JSON format. |
| 400 Bad Request | The request was invalid or malformed. Response body is in text format. |
| 403 Forbidden | You aren't authorized for this call. All requests require an API key. Response body is in text format. |
| 404 Not Found | Altmetric doesn't have any details for the research output or set of research outputs you requested. Response body is in text format. |
| 429 Too Many Requests | You are being rate limited. If you haven't already then apply for an API key. Response body is in text format. |
| 502 Bad Gateway | The API version you are using is currently down for maintenance. Response body is in text format. |
Warning
Altmetric Ids are transient and unstable over the medium term. For long term application it is recommended that persistent IDs such as DOIs, arXiv IDs or PMIDs are used instead.
Response object¶
A GET request to the Full Access /fetch/ endpoint returns a JSON object with the following keys where available. Keys are omitted from the response when there is no data for them, so your code should not assume that every key below is present.
| Keys | Type | Description |
|---|---|---|
altmetric_id |
number | Internal ID associated with the research output. Altmetric IDs are transient and unstable over the medium term. |
counts |
object | Provides the number of mentions and unique authors in each relevant source type - for example blogs twitter news as well as reference manager reader counts where available. See Counts for more information. |
citation |
object | Bibliographic metadata about the output requested. You'll find third party identifiers for example doi pmid arxiv in this object. See Citation for more information. |
altmetric_score |
object | Contains details of the Altmetric score and where possible provides some context. See Altmetric score for more information. |
demographics |
object | Altmetric categorizes users from some sources based on their posting history and profile information. Counts for each category are included in this section along with geo-location data. See Demographics. |
posts |
object | Contains all the recorded mention data categorized by the attention source. See Posts for more information. |
sentiments |
object | Sentiment analysis counts for mentions of the research output. See Sentiments for more information. Available to commercial license holders only. |
score |
decimal | Current Altmetric Attention Score. Returned unrounded; see Attention Score for the rounding Altmetric applies when displaying it. |
images |
object | Links to PNG versions of the donut. See Images for more information. |
merged_into |
object | Only present when the requested Altmetric ID has been merged into another record. See Merged records for more information. |
Counts¶
Where available provides reference manager reader counts.
| Key | Type | Description |
|---|---|---|
readers |
object | Reference manager reader counts. See Readers for more information. |
total |
object | Object containing the total number of mentions. See Total for more information. |
{{source-type}} |
object | Available source types are facebook blogs linkedin video pinterest googleplus twitter bluesky reddit news f1000 peer_reviews policy guideline patent weibo q&a misc podcasts seminars wikipedia book_reviews syllabi. See Source type counts for more information. |
Readers¶
Note
Mendeley counts aren't updated in real time and there can sometimes be lag of up to a week between the reader count reported by Altmetric and the count on mendeley.com.
| Key | Type | Description |
|---|---|---|
mendeley |
number | Readers in Mendeley. |
connotea |
number | Readers in Connotea (no longer updated). |
citeulike |
number | Readers in CiteULike (no longer updated). |
Total¶
| Key | Type | Description |
|---|---|---|
posts_count |
number | Total number of mentions. |
Source type counts¶
Provides the number of mentions and unique authors in each relevant source type.
| Key | Type | Description |
|---|---|---|
unique_users_count |
number | Number of unique users. |
unique_users |
string[] | User IDs associated with the posts. |
posts_count |
number | Total number of posts. |
Note
The same user could blog, tweet or otherwise share the same article more than once, so posts_count can be greater than unique_users_count.
Citation¶
Bibliographic metadata about the output requested. You'll find third party identifiers, for example doi pmid arxiv in this object.
| Key | Type | Description |
|---|---|---|
altmetric_jid |
string | An internal database identifier for the journal that the article comes from. |
title |
string | Title of the publication. |
doi |
string | Relevant DOI. |
pmid |
string | Relevant PubMed Id. |
pmc |
string | Relevant PubMed Central Id. |
handles |
string[] | Relevant Handle(s). |
urn |
string | Relevant URN. |
ads_id |
string | Relevant bibcode Id. |
nct_id |
string | Relevant ClinicalTrials.gov Id. |
hollis_id |
string | |
hlom_id |
string | |
ssrn |
string | Relevant Social Science Research Network Id |
repec |
string | Relevant RePEc Id. |
arxiv_id |
string | Relevant arXiv Id. |
isbns |
string[] | Relevant ISBN(s). |
issns |
string[] | Relevant ISSN(s). |
journal |
string | Name of publication journal. |
dimensions_publication_id |
string | Unique identifier for the publication in the Dimensions publications database. |
pubdate |
date | The print date that the publication was published. |
epubdate |
date | The date that the publication was published electronically. |
published_on |
date | Returns the epubdate if it exists on the record, if not then the pubdate is returned instead. |
type |
string | dataset book article news chapter clinical_trial_study_record |
abstract |
string | Full abstract for the article. |
abstract_source |
string | Source for the abstract (e.g PubMed). |
links |
string[] | Collection of links that point to all seen versions of this article. |
first_seen_on |
date | Date that Altmetric first tracked a share or mention of this article. |
issue |
string | |
last_mentioned_on |
number | Last time the research output was mentioned. In UNIX. |
pdf_url |
string | PDF URL to the research output. |
startpage |
string | |
aggregate_citation_ids |
number[] | Collection of Altmetric IDs for book chapters. |
authors |
string[] | Author names. |
authors_or_editors |
string[] | Author and editor names. |
authors_details |
object[] | Author names paired with their Dimensions Researcher IDs, where available. See Authors details. |
attribution |
string | Source of data. For example Google Books. |
is_oa |
boolean | Deprecated |
scopus_subjects |
string[] | Initially imported from Scopus in 2011 (Deprecated). |
publisher_subjects |
object[] | Subjects for journal set by the publisher. See Publisher subjects. |
subjects |
string[] | Subjects for journal. Originally enriched from National Academy of Medicine (Deprecated). |
mendeley_url |
string | URL to the research output in Mendeley. |
volume |
string | |
book_cover_url |
string | URL to the book cover. |
chapters |
object | See Chapters. |
added_on |
number | Date when Altmetric first captured attention. In UNIX. |
score |
decimal | Current Altmetric Attention Score. Returned unrounded; see Attention Score for the rounding Altmetric applies when displaying it. |
last_updated |
number | Last time the score changed. In UNIX. |
Publisher subjects¶
| Key | Type | Description |
|---|---|---|
name |
string | Name of subject |
scheme |
string | Available schemes are era bmj (Deprecated) springer npg (Deprecated) |
Chapters¶
| Key | Type | Description |
|---|---|---|
altmetric_id |
number | Altmetric ID for book chapter. |
title |
string | Title of the book chapter. |
ordinal_number |
number | Book chapter number. |
Authors details¶
| Key | Type | Description |
|---|---|---|
name |
string | Author name. |
researcher_id |
string | Dimensions Researcher ID for the author (e.g. ur.015071462574.28). Present only when the author has been matched to a Dimensions researcher. |
Altmetric score¶
Contains details of the Altmetric score and, where possible, provides some context.
| Key | Type | Description |
|---|---|---|
score |
decimal | Current Altmetric Attention Score of this article. Returned unrounded; see Attention Score for the rounding Altmetric applies when displaying it. |
history |
object | Allows you to see how the score has developed over time. See History for more information. |
context_for_score |
object | Tells you how this score compares to other scores, for example in the entire database all or the same journal this_journal. See Context for score for more information. |
History¶
Provides details on how much of the score occurred in a given timeframe.
| Key | Type | Description |
|---|---|---|
1y |
decimal | Score change in the last year. |
6m |
decimal | Score change in the last six months. |
3m |
decimal | Score change in the last 3 months. |
1m |
decimal | Score change in the last one month. |
1w |
decimal | Score change in the last week. |
6d |
decimal | Score change in the last six days. |
5d |
decimal | Score change in the last five days. |
4d |
decimal | Score change in the last four days. |
3d |
decimal | Score change in the last three days. |
2d |
decimal | Score change in the last two days. |
1d |
decimal | Score change in the last one day. |
at |
decimal | Current Altmetric Attention Score. |
Context for score¶
Contains details of the Altmetric score and, where possible, provides some context. See Context for a breakdown of context.
| Key | Type | Description |
|---|---|---|
all |
object | Contains statistics about the entire Altmetric database. |
journal |
object | Contains statistics about all articles from the same journal that have been tracked by Altmetric. |
similar_age_3m |
object | Contains statistics about articles from any journal published within 6 weeks on either side of this one. |
similar_age_journal_3m |
object | Contains statistics about articles from the same journal and published within 6 weeks on either side of this one. |
Note
Only research outputs that have a score greater than 0 and are associated with a journal (has an altmetric_jid) will have a score in context.
Breakdown¶
Available types are all journal similar_age_3m similar_age_journal_3m.
| Key | Type | Description |
|---|---|---|
count |
number | Number of publications in this journal in this time period. |
mean |
decimal | Mean score for publications in this journal in this time period. |
rank |
number | Score in context rank within publications in the journal in this time period. |
total_number_of_other_articles |
number | Total number of publications in sample size for the journal in this time period. |
this_scored_higher_than_pct |
number | % of publications from this journal with fewer mentions in this time period. |
this_scored_higher_than |
number | The estimated number of articles that have scored the same or lower than this one. |
rank_type |
string | The sample type used to calculate the rank. Prior to 2014 the rank was calculated using an approximate sample size, now the whole dataset is used. Always set to exact. |
sample_size |
number | The size of the representative sample we use to produce the mean and other metrics. Duplicates total_number_of_other_articles. |
percentile |
number | % of publications from this journal with fewer mentions in this time period. Duplicates this_scored_higher_than_pct. |
Note
We split the representative sample in percentiles and put the highest score in each 10% into the spark-lines array. Thus the first element of that array is the highest scoring article in the sample set, the second element is the highest score in the 90th %ile, the third element in the 80th %ile and so on.
Demographics¶
Altmetric categorizes users from some sources based on their posting history and profile information. Counts for each category are included in this section along with geo-location data.
| Key | Type | Description |
|---|---|---|
poster_types |
object | Groups of users who've mentioned the publication on Twitter. See Poster types for more information. |
users |
object | See Users for more information. |
geo |
object | Contains demographic mention information for Twitter, Facebook, News, and Policy. See Geo for more information. |
Poster types¶
The poster_types key holding Twitter user categories is now deprecated in favor of Cohorts and will be removed from the API in the near future.
| Key | Type | Description |
|---|---|---|
member_of_the_public |
number | Members of the Public. |
researcher |
number | Researchers. |
science_communicator |
number | Science Communicators. |
practitioner |
number | Practitioners. |
Users¶
| Key | Type | Description |
|---|---|---|
twitter |
object | Groups of users who've mentioned the publication on Twitter. |
bluesky |
object | Groups of users who've mentioned the publication on Bluesky. |
mendeley |
object | Mendeley readership statistics. |
Twitter¶
| Key | Type | Description |
|---|---|---|
cohorts |
object | See Cohorts for more information. |
Bluesky¶
| Key | Type | Description |
|---|---|---|
cohorts |
object | See Cohorts for more information. |
Cohorts¶
Altmetric derives demographic information from the profiles of people who share links to articles of interest. You can find that information in the demographics key.
In the case of Twitter and Bluesky, we look at keywords in profile descriptions, the types of journals that users link to, and friends lists to assign each profile a category.
| Key | Type | Description |
|---|---|---|
"Members of the public" |
number | Somebody who doesn't link to scholarly literature and doesn't otherwise fit any of the categories below. |
"Scientists" |
number | Somebody who carries out academic or scientific research. |
"Practitioners (doctors, other healthcare professionals)" |
number | A clinician, or a researcher working in clinical science. |
"Researcher" |
number | Somebody who is familiar with the literature. |
"Science communicators (journalists, bloggers, editors)" |
number | Somebody who links frequently to scientific articles from a variety of different journals / publishers. |
Mendeley¶
Contains Mendeley readership information.
| Key | Type | Description |
|---|---|---|
by_status |
object | Contains keys for readers by their professional status and the counts associated with them. Example keys are Student, Professor > Associate Professor, Researcher, Student > Master, Student > Ph. D. Student, Professor, Student > Bachelor, Student > Doctoral Student, Lecturer and Other. |
by_discipline |
object | Contains keys for readers by their discipline and the counts associated with them. Example keys are Medicine and Dentistry, Social Sciences, Decision Sciences, Physics and Astronomy, Pharmacology, Toxicology and Pharmaceutical Science, Environmental Science, Arts and Humanities, Engineering, Earth and Planetary Sciences, Economics, Econometrics and Finance, Agricultural and Biological Sciences, Business, Management and Accounting, Biochemistry, Genetics and Molecular Biology. |
This response object for by_status and by_discipline is a generic key/value object.
| Key | Type | Description |
|---|---|---|
{{key}} |
string | Name of the key. |
{{value}} |
number | Value of the key. |
Geo¶
Altmetric geo-locates users based on information in their profiles from corresponding sources. The geo key is a straightforward breakdown of where in the world users who share an article come from, grouped by sharing medium.
| Key | Type | Description |
|---|---|---|
twitter |
object | Contains demographic mention information for X (formerly Twitter). Country is derived from the free-text Location field on each user's X profile — see X (Twitter) Data for the methodology and caveats. |
mendeley |
object | Contains demographic mention information for Mendeley. |
This response object for twitter and mendeley is a generic key/value object.
| Key | Type | Description |
|---|---|---|
{{key}} |
string | Name of the key. |
{{value}} |
number | Value of the key. |
- The
keyproperty is an ISO 3166-1 alpha-2 country code. Examples are:BA,IT,US,GBandIE. A full and complete list can be found here: https://en.wikipedia.org/wiki/ISO_3166-1 - The
valueproperty is the total number of mentions as a number.
Sentiments¶
Contains sentiment analysis data for social mentions (Twitter and Bluesky) of the research output. This field is only available to commercial license holders.
The sentiments object is versioned. The current version is v1, which provides counts for each sentiment score:
| Score | Meaning |
|---|---|
-3 |
Strong negative |
-2 |
Negative |
-1 |
Neutral negative |
0 |
Neutral |
1 |
Neutral positive |
2 |
Positive |
3 |
Strong positive |
Individual Twitter and Bluesky posts also include a sentiment field with version (string) and value (integer from -3 to 3).
Posts¶
Contains all the recorded mention data categorized by the attention source. See Source type for more information.
| Key | Type | Description |
|---|---|---|
{{source-type}} |
object | Available source types are facebook blogs linkedin video pinterest googleplus twitter bluesky reddit news f1000 peer_reviews policy guideline patent weibo q&a misc podcasts seminars wikipedia book_reviews syllabi. See Source type for more information. |
Source type¶
Note
For Twitter we only provide tweet_id, posted_on, license, citation_ids, the author's tweeter_id, and sentiment (commercial license holders only). All other keys, including content fields such as title, url, and summary, are removed.
| Key | Type | Description |
|---|---|---|
title |
string | Title or headline of the mention. |
url |
string | Link to the page that mentioned the output. |
posted_on |
string | Date and time that the mention was recorded. |
license |
string | For Twitter all license types will be set to gnip. For all others available types are public. |
source |
object | Policy and Guidelines only. |
geo |
object | |
summary |
string | A brief summary taken from the mention. |
image |
string | A link to the logo associated with the mention source. |
collections |
string [] | |
page_url |
string | Link to the page that mentioned the output. |
citation_ids |
number[] | Collection of Altmetric IDs for outputs that are linked to from this mention. |
author |
object | |
embed |
object | |
wiki_lang |
string | Wikipedia only. The language code for the version of Wikipedia where the mentioned was retrieved from. |
tweet_id |
string | Twitter only. The Tweet Id of the tweet. |
sentiment |
object | Twitter and Bluesky only. Sentiment analysis for this post. Contains version (string) and value (integer from -3 to 3). Available to commercial license holders only. |
bluesky_post_id |
string | Bluesky only. The Bluesky Id of the post. |
ucid |
string | Patent only. Patent's unique document identifier based on country doc-number and kind. |
jurisdiction |
string | Patent only. The country and/or region in which patent has been filed or/and granted. |
filing_status |
string | Patent only. The status of the patent application. |
Source¶
| Key | Type | Description |
|---|---|---|
name |
string | The name of the policy source where the mention occurred. |
description |
string | A brief description of the policy source where the mention occurred. |
Geo¶
| Key | Type | Description |
|---|---|---|
country |
string | The country code of the policy source where the mention occurred. |
Author¶
Note
For Twitter we will only provide the tweeter_id all other keys are removed.
| Key | Type | Description |
|---|---|---|
name |
string | The name of the author as appears in the mention. Or a link to the mention if not available. |
description |
string | If not an actual person. A description of the source. |
url |
string | Link to the homepage/profile associated with the mention. |
image |
string | Profile image associated with the author of the mention. |
id_on_source |
string | Platform specific unique identifier for the source of the mention. For example a YouTube video Id. |
facebook_wall_name |
string | Facebook only. The name of the Facebook wall where the mention was retrieved from. |
tweeter_id |
string | Twitter only. The Twitter Id of the author for the tweet. |
bluesky_profile_id |
string | Bluesky only. The Bluesky Id of the author for the tweet. |
followers |
string | Bluesky only. The Bluesky account followers count. |
Embed¶
| Key | Type | Description |
|---|---|---|
type |
string | Available types are youtube. |
youtube_id |
string | YouTube only. YouTube video Id. |
Images¶
Contains links to PNG versions of the donut.
| Key | Type | Description |
|---|---|---|
small |
string | 64px x 64px PNG of the donut. |
medium |
string | 100px x 100px PNG of the donut. |
large |
string | 180px x 180px PNG of the donut. |
For tweets you'll receive the tweet ID, the date it was posted, and the user profile ID, but not the content of the tweet itself or other details about user profiles. You should use tweet IDs to fetch more data from the Twitter API using your own developer account or embed tweets directly on your website.
You can read more about this on our Twitter page.
Merged records¶
Altmetric records are occasionally merged when we determine that two records describe the same research output. The merged record is removed and its attention data is combined into the surviving record.
When you request a merged Altmetric ID, the API returns 200 with the surviving record's data and adds a top-level merged_into key. Note that the altmetric_id in the response body is the surviving ID, not the ID you requested.
| Key | Type | Description |
|---|---|---|
altmetric_id |
number | Altmetric ID of the surviving record that the requested record was merged into. |
Example response fragment:
The merged_into key is absent for records that have not been merged. An Altmetric ID that has never existed still returns 404.
Tip
If you store Altmetric IDs, use merged_into to detect merges and update your stored ID to the surviving one. This only applies to lookups by Altmetric ID — requests by a persistent identifier such as a DOI, arXiv ID or PMID always resolve to the surviving record directly and therefore never return merged_into. As noted above, we recommend using persistent identifiers rather than Altmetric IDs.
Example response¶
{
"altmetric_id": 2068207,
"counts": {
"readers": {
"mendeley": 76,
"citeulike": 1,
"connotea": 0
},
"facebook": {
"unique_users_count": 1056,
"unique_users": [
"100000531062920",
"508094416",
"100004838742364",
"627040610666691",
"807325712708418"
],
"posts_count": 1096
},
"blogs": {
"unique_users_count": 30,
"unique_users": [
56051,
52090,
51986,
55734,
54869
],
"posts_count": 35
},
"googleplus": {
"unique_users_count": 120,
"unique_users": [
"Giovanni Cozzolongo",
"Raresh Vlad Bunea",
"Tazio C.",
"Jeff Last",
"Fernando Santagata",
"Steven Conner"
],
"posts_count": 121
},
"news": {
"unique_users_count": 39,
"unique_users": [
"global_advisors",
"quartz",
"nature",
"real_clear_science",
"the_raw_story",
"rocket_news"
],
"posts_count": 48
},
"total": {
"posts_count": 4930
},
"q&a": {
"unique_users_count": 2,
"unique_users": [
"physics.stackexchange.com-95366",
"astronomy.stackexchange.com-2441"
],
"posts_count": 2
},
"reddit": {
"unique_users_count": 16,
"unique_users": [
"DonTago",
"mikemchenry",
"techwrek12",
"cojoco",
"cHEatsKYJelly",
"Notmyrealname"
],
"posts_count": 16
},
"twitter": {
"unique_users_count": 3381,
"posts_count": 3604
},
"video": {
"unique_users_count": 4,
"unique_users": [
"Phan Hien",
"SR",
"Sharkee",
"link4universe"
],
"posts_count": 4
},
"wikipedia": {
"unique_users_count": 4,
"unique_users": [
"de:6283821",
"de:11094959",
"fr:43233",
"pl:17610"
],
"posts_count": 4
}
},
"sentiments": {
"v1": {
"counts": {
"-3": 0,
"-2": 0,
"-1": 2,
"0": 15,
"1": 8,
"2": 3,
"3": 0
}
}
},
"citation": {
"altmetric_jid": "4f6fa50a3cf058f610003160",
"authors": [
"Zeeya Merali"
],
"authors_details": [
{
"name": "Zeeya Merali",
"researcher_id": "ur.011755714137.62"
}
],
"doi": "10.1038/nature.2014.14583",
"dimensions_publication_id": "pub.1056447426",
"first_seen_on": "2014-01-24T00:35:57+00:00",
"issns": [
"0028-0836",
"1476-4687"
],
"journal": "Nature",
"last_mentioned_on": 1655037351,
"links": [
"http://www.nature.com/news/stephen-hawking-questions-nature-of-black-holes-1.14583",
"http://www.nature.com/doifinder/10.1038/nature.2014.14583"
],
"epubdate": "2014-01-24T00:00:00+00:00",
"scopus_subjects": [
"General"
],
"subjects": [
"science"
],
"title": "Stephen Hawking: 'There are no black holes'",
"type": "news",
"mendeley_url": "https://www.mendeley.com/catalogue/d293cc0a-0958-3a20-b110-789f677ff6f1/"
},
"altmetric_score": {
"score": 3734.705999999944,
"score_history": {
"1y": 1.35,
"6m": 1.35,
"3m": 0.5,
"1m": 0,
"1w": 0,
"6d": 0,
"5d": 0,
"4d": 0,
"3d": 0,
"2d": 0,
"1d": 0,
"at": 3734.705999999944
},
"context_for_score": {
"all": {
"total_number_of_other_articles": 21653050,
"mean": 9.966427740947907,
"rank": 1125,
"this_scored_higher_than_pct": 99,
"this_scored_higher_than": 21653786,
"rank_type": "exact",
"sample_size": 21653050,
"percentile": 99
},
"similar_age_3m": {
"total_number_of_other_articles": 289061,
"mean": 8.17953915609504,
"rank": 3,
"this_scored_higher_than_pct": 99,
"this_scored_higher_than": 289056,
"rank_type": "exact",
"sample_size": 289061,
"percentile": 99
},
"this_journal": {
"total_number_of_other_articles": 88504,
"mean": 97.85406684443643,
"rank": 119,
"this_scored_higher_than_pct": 99,
"this_scored_higher_than": 88390,
"rank_type": "exact",
"sample_size": 88504,
"percentile": 99
},
"similar_age_this_journal_3m": {
"total_number_of_other_articles": 889,
"mean": 143.32450618672684,
"rank": 3,
"this_scored_higher_than_pct": 99,
"this_scored_higher_than": 887,
"rank_type": "exact",
"sample_size": 889,
"percentile": 99
}
}
},
"demographics": {
"poster_types": {
"member_of_the_public": 2813,
"researcher": 379,
"practitioner": 42,
"science_communicator": 145
},
"users": {
"twitter": {
"cohorts": {
"Members of the public": 2813,
"Scientists": 379,
"Practitioners (doctors, other healthcare professionals)": 42,
"Science communicators (journalists, bloggers, editors)": 145
}
},
"mendeley": {
"by_status": {
"Student > Postgraduate": 5,
"Professor > Associate Professor": 2,
"Researcher": 8,
"Student > Master": 9,
"Student > Ph. D. Student": 8,
"Professor": 1,
"Student > Bachelor": 7,
"Student > Doctoral Student": 2,
"Lecturer": 1,
"Other": 5,
"Librarian": 3,
"Lecturer > Senior Lecturer": 1,
"Unspecified": 1
},
"by_discipline": {
"Medicine and Dentistry": 17,
"Social Sciences": 2,
"Physics and Astronomy": 4,
"Mathematics": 2,
"Pharmacology, Toxicology and Pharmaceutical Science": 3,
"Environmental Science": 1,
"Unspecified": 1,
"Arts and Humanities": 2,
"Energy": 1,
"Immunology and Microbiology": 1,
"Computer Science": 2,
"Agricultural and Biological Sciences": 4,
"Nursing and Health Professions": 6,
"Business, Management and Accounting": 3,
"Philosophy": 1,
"Veterinary Science and Veterinary Medicine": 2
}
}
},
"geo": {
"twitter": {
"US": 732,
"LV": 2,
"GB": 206,
"AU": 45,
"HN": 1
},
"mendeley": {
"US": 1,
"IN": 1,
"IR": 1
}
}
},
"posts": {
"twitter": [
{
"license": "public",
"sentiment": {
"version": "v1",
"value": 1
},
"citation_ids": [
2068207
],
"posted_on": "2014-01-28T14:09:24+00:00",
"author": {
"tweeter_id": "1128600265"
},
"tweet_id": "428180819338092544"
},
{
"license": "gnip",
"sentiment": {
"version": "v1",
"value": 0
},
"citation_ids": [
2068207,
2068207
],
"posted_on": "2022-06-12T09:41:52+00:00",
"author": {
"tweeter_id": "292645777"
},
"tweet_id": "1535964094242689025"
}
],
"facebook": [
{
"title": "Stephen Hawking: 'There are no black holes'",
"url": "https://www.facebook.com/100000531062920/posts/917176268310067",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-09-18T18:09:30+00:00",
"summary": "Stephen Hawking: 'There are no black holes'\n\nNotion of an 'event horizon', from which nothing can escape, is incompatible with quantum theory, physicist claims.\n\nhttp://www.nature.com/news/stephen-hawking-there-are-no-black-holes-1.14583",
"author": {
"name": "Aniruddha Chakraborty",
"url": "https://www.facebook.com/100000531062920",
"facebook_wall_name": false,
"image": "https://graph.facebook.com/100000531062920/picture",
"id_on_source": "100000531062920"
}
},
{
"title": "Stephen Hawking: 'There are no black holes'",
"url": "https://www.facebook.com/508094416/posts/10152172516359417",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-01-26T06:23:47+00:00",
"summary": "http://www.nature.com/news/stephen-hawking-there-are-no-black-holes-1.14583\n\nIs anyone surprised that the physically impossible and inexplicable phenomenon doesn't actually exist?\n\nMuch like the medieval concept of God as a being without form and impossibl",
"author": {
"name": "Seth Stewart",
"url": "https://www.facebook.com/508094416",
"facebook_wall_name": false,
"image": "https://graph.facebook.com/508094416/picture",
"id_on_source": "508094416"
}
},
{
"title": "Stephen Hawking: 'There are no black holes'",
"url": "https://www.facebook.com/100004838742364/posts/236929559811667",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-01-24T21:53:26+00:00",
"author": {
"name": "Edu Garcia",
"url": "https://www.facebook.com/100004838742364",
"facebook_wall_name": false,
"image": "https://graph.facebook.com/100004838742364/picture",
"id_on_source": "100004838742364"
}
}
],
"news": [
{
"title": "The Indian physicist who contested Stephen Hawking’s theory about black holes",
"url": "http://www.globaladvisors.biz/blog/2018/03/15/the-indian-physicist-who-contested-stephen-hawkings-theory-about-black-holes/",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2018-03-15T05:47:51+00:00",
"summary": "In his long and spectacular career as the world’s most iconic physicist, Stephen Hawking wrote a lot about black holes.",
"author": {
"name": "Global Advisors",
"url": "http://www.globaladvisors.biz",
"image": "https://s3.amazonaws.com/weyland.altmetric.com/news_sources/logos/000/001/806/normal/Screen_Shot_2016-01-27_at_10.02.20.png?1453888977"
}
},
{
"title": "The Indian physicist who contested Stephen Hawking’s theory about black holes",
"url": "https://qz.com/1229007/abhas-mitra-the-indian-physicist-who-contested-stephen-hawkings-theory-about-black-holes/",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2018-03-15T05:47:51+00:00",
"summary": "In his long and spectacular career as the world’s most iconic physicist, Stephen Hawking wrote a lot about black holes.",
"author": {
"name": "Quartz",
"url": "http://qz.com",
"image": "https://s3.amazonaws.com/weyland.altmetric.com/news_sources/logos/000/000/268/normal/Screen_Shot_2016-02-02_at_11.47.46.png?1454413678"
}
},
{
"title": "Stephen Hawking questions nature of black holes",
"url": "http://www.nature.com/news/stephen-hawking-questions-nature-of-black-holes-1.14583",
"license": "public",
"citation_ids": [
1336291,
2068207,
2065243
],
"posted_on": "2014-01-24T00:00:00+00:00",
"summary": "Notion of 'event horizon' from which nothing can escape is incompatible with quantum theory, physicist claims.",
"author": {
"name": "Nature",
"url": "http://www.nature.com/nature",
"image": "https://s3.amazonaws.com/weyland.altmetric.com/news_sources/logos/000/000/076/normal/image.png?1369859733"
}
}
],
"reddit": [
{
"title": "Stephen Hawking announces in surprising statement that 'black holes', as most people, even physicists, understand them, do not exist.",
"url": "http://www.reddit.com/r/worldnews/comments/1w1p8h/stephen_hawking_announces_in_surprising_statement/",
"citation_ids": [
2068207
],
"posted_on": "2014-01-24T17:39:28+00:00",
"author": {
"name": "DonTago",
"url": "http://www.reddit.com/r/worldnews",
"id_on_source": "worldnews",
"followers": 26840073,
"subreddit": "World News"
}
},
{
"title": "Stephen Hawking: 'There are no black holes' : Nature News & Comment",
"url": "http://www.reddit.com/r/news/comments/1w1f4g/stephen_hawking_there_are_no_black_holes_nature/",
"citation_ids": [
2068207
],
"posted_on": "2014-01-24T15:58:12+00:00",
"author": {
"name": "mikemchenry",
"url": "http://www.reddit.com/r/news",
"image": "https://a.thumbs.redditmedia.com/BCPcjmQTYwA3TAWllW7AJPixfTMQlMxn-fbD2pgcHT4.png",
"id_on_source": "news",
"followers": 22344532,
"subreddit": "All news, US and international."
}
},
{
"title": "\"I_call_it_a_Hawking_Hole.\"",
"url": "http://www.reddit.com/r/futurama/comments/1w39qd/i_call_it_a_hawking_hole/",
"citation_ids": [
2068207
],
"posted_on": "2014-01-25T03:40:24+00:00",
"author": {
"name": "techwrek12",
"url": "http://www.reddit.com/r/futurama",
"image": "http://a.thumbs.redditmedia.com/XCuPuL9FXQ5zfm5B.png",
"id_on_source": "futurama",
"followers": 98497,
"subreddit": "futurama"
}
}
],
"video": [
{
"title": "[Nature] Stephen Hawking: \"There are no black holes\"",
"url": "https://www.youtube.com/watch?v=isimsXwilvc",
"image": "https://i.ytimg.com/vi/isimsXwilvc/hqdefault.jpg",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-01-25T07:30:28+00:00",
"summary": "Full article here: http://www.nature.com/news/stephen-hawking-there-are-no-black-holes-1.14583\n\nhttp://vatlythienvan.com/tin-tuc/tin-moi/3820-stephen-hawking-khong-co-lo-den.html",
"embed": {
"type": "youtube",
"youtube_id": "isimsXwilvc"
},
"author": {
"name": "Phan Hien",
"id_on_source": "UCPre1cZdP4KZsPmpeH2jNNA"
}
},
{
"title": "No Black hole!!",
"url": "https://www.youtube.com/watch?v=kxSbcL40g0E",
"image": "https://i.ytimg.com/vi/kxSbcL40g0E/hqdefault.jpg",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-02-03T21:32:46+00:00",
"summary": "Hawking told to Nature: \"There is no escape from a black hole in classical theory, but quantum theory enables energy and information to escape.\" Read for detail: http://www.nature.com/news/stephen-hawking-there-are-no-black-holes-1.14583",
"embed": {
"type": "youtube",
"youtube_id": "kxSbcL40g0E"
},
"author": {
"name": "SR",
"id_on_source": "UCVTOBf6f3J6vae1ie-Sz0kw"
}
},
{
"title": "What is the Slowest Time?",
"url": "https://www.youtube.com/watch?v=8AoelC5X_No",
"image": "https://i.ytimg.com/vi/8AoelC5X_No/hqdefault.jpg",
"license": "public",
"citation_ids": [
826396,
2471407,
102108064,
1705703,
2068207,
54310369,
3150351,
3395897,
47472703,
54310370,
2240793,
101830322,
54310372
],
"posted_on": "2015-12-17T14:58:09+00:00",
"summary": "What is the thing that experiences the slowest time?\n\n\n\n\n\nFollow me on twitter:\nhttps://twitter.com/AhSharkee\n\n\n\nLinks and References:\nhttp://www.einstein-online.info/spotlights/Twins (Twin Paradox - How come two twins who see each other’s clocks slowed do",
"embed": {
"type": "youtube",
"youtube_id": "8AoelC5X_No"
},
"author": {
"name": "Sharkee",
"id_on_source": "UCo1Oqh5yCpSJkXaCUzmfhEw"
}
}
],
"q&a": [
{
"title": "Why does Stephen Hawking say black holes don't exist?",
"url": "https://physics.stackexchange.com/questions/95366/why-does-stephen-hawking-say-black-holes-dont-exist",
"license": "public",
"citation_ids": [
2065243,
4581198,
4581200,
2068207,
2068207
],
"posted_on": "2014-01-26T15:44:30+00:00",
"summary": "Recently, I read in the journal Nature that Stephen Hawking wrote a paper claiming that black holes do not exist. How is this possible? Please explain it to me because I didn't understand what he said.\n\nReferences:\n\n\nArticle in Nature News: Stephen Hawkin",
"author": {
"id_on_source": "Devesh Saini"
}
},
{
"title": "Does matter accumulate just outside the event horizon of a black hole?",
"url": "http://astronomy.stackexchange.com/questions/2441/does-matter-accumulate-just-outside-the-event-horizon-of-a-black-hole",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-05-14T17:27:41+00:00",
"summary": "My understanding is that time slows and approaches stopping when approaching the event horizon of a black hole. I have seen this explained several places, including a brief explanation in the last paragraph under: http://en.wikipedia.org/wiki/Black_hole#G",
"author": {
"id_on_source": "Jonathan"
}
}
],
"wikipedia": [
{
"title": "Informationsparadoxon Schwarzer Löcher",
"url": "http://de.wikipedia.org/?diff=prev&oldid=126973712#altmetric_citation_0",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-01-28T21:41:50+00:00",
"summary": "REDIRECT Schwarzes Loch#Informationsparadoxon Schwarzer Löcher.",
"page_url": "http://de.wikipedia.org/?curid=6283821",
"wiki_lang": "de",
"author": {
"name": "Doppelback",
"url": "http://de.wikipedia.org/wiki/User:Doppelback"
}
},
{
"title": "Horyzont zdarzeń",
"url": "http://pl.wikipedia.org/?diff=prev&oldid=38578320#altmetric_citation_0",
"license": "public",
"citation_ids": [
2068207
],
"posted_on": "2014-02-01T04:33:45+00:00",
"page_url": "http://pl.wikipedia.org/?curid=17610",
"wiki_lang": "pl",
"author": {
"name": "Domaszk",
"url": "http://pl.wikipedia.org/wiki/User:Domaszk"
}
}
]
},
"score": 3734.705999999944,
"images": {
"small": "https://badges.altmetric.com/?size=64&score=3735&types=mbvrtwfg",
"medium": "https://badges.altmetric.com/?size=100&score=3735&types=mbvrtwfg",
"large": "https://badges.altmetric.com/?size=180&score=3735&types=mbvrtwfg"
}
Try it yourself¶
Below is a list of example requests. Before using any of these examples within your application you will need to update the key to the one that you were issued. Alternatively you can enter your API key into the field below and click the Authorize button to launch the example request directly from the documentation.
| Scenario | URL |
|---|---|
| Fetch a research output by its Altmetric Id | https://api.altmetric.com/v1/fetch/id/241939?key=xxx-xxx-xxx-xxx |
| Fetch a research output by its Dimensions Publication Id | https://api.altmetric.com/v1/fetch/dimensions_publication_id/pub.1091500321?key=xxx-xxx-xxx-xxx |
| Fetch a research output by its Digital Object Identifier | https://api.altmetric.com/v1/fetch/doi/10.1038/news.2011.490?key=xxx-xxx-xxx-xxx |
| Fetch a research output by its PubMed Id | https://api.altmetric.com/v1/fetch/pmid/21148220?key=xxx-xxx-xxx-xxx |
| Fetch a research output by its arXiv Id | https://api.altmetric.com/v1/fetch/arxiv_id/1108.2455?key=xxx-xxx-xxx-xxx |
| Fetch a research output by its bibcode Id | https://api.altmetric.com/v1/fetch/ads_id/2012apphl.100y3104b?key=xxx-xxx-xxx-xxx |
| Fetch a research output by its ISBN number | https://api.altmetric.com/v1/fetch/isbn/978-3-319-25557-6?key=xxx-xxx-xxx-xxx |